package com.ltgk.port.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ltgk.common.core.domain.AjaxResult;
import com.ltgk.port.domain.dto.SaveWarnAreaTypeReq;
import com.ltgk.port.domain.dto.WarnAreaTypeListReq;
import com.ltgk.port.domain.entity.WarnAreaType;

import java.util.List;

public interface WarnAreaTypeService extends IService<WarnAreaType> {
    AjaxResult save(SaveWarnAreaTypeReq saveWarnAreaTypeReq);

    List<WarnAreaType> list(WarnAreaTypeListReq warnAreaTypeListReq);

    List<WarnAreaType> selectAll();
}
